Play.HT
    • Stream Audio From Text
      POST
    • Generate Audio From Text
      POST
    • Get Text-To-Speech Job Data
      GET
    • List PlayHT Voices
      GET
    • Create Instant Voice Clone (via file upload)
      POST
    • Create Instant Voice Clone (via file URL)
      POST
    • List Cloned Voices
      GET
    • Delete Cloned Voices
      DELETE
    • Timestamp From Audio
      POST
    • Get Transcription Job Data
      GET
    • Convert Plain Text To Speech
      POST
    • Convert SSML To Speech
      POST
    • Get Conversion Job Status
      GET
    • Get Available Voices
      GET

      Get Conversion Job Status

      Develop Env
      https://dev.your-api-server.com
      Develop Env
      https://dev.your-api-server.com
      GET
      /api/v1/articleStatus
      Gets text-to-speech job status and generated audio file URL.

      Request

      Query Params

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://dev.your-api-server.com/api/v1/articleStatus?transcriptionId=undefined'
      Response Response Example
      {
        "voice": "en-US-JennyNeural",
        "converted": true,
        "audioDuration": 1.656,
        "audioUrl": "https://media.play.ht/full_-NShbcWsxBDLyFe4Pk9t.mp3?generation=1681171319837965&alt=media",
        "message": [
          "Transcription completed",
          "Transcription still in progress"
        ],
        "error": true,
        "errorMessage": "The transcription job failed because the audio file was too long."
      }
      Modified at 2024-07-30 06:23:55
      Previous
      Convert SSML To Speech
      Next
      Get Available Voices
      Built with